$regfile = "ATtiny2313.dat"
$crystal = 1500000
$hwstack = 16
$swstack = 8
$framesize = 8

$lib "weather.lib"

S1 Alias Pind.2
Config S1 = Input
Portd.2 = 1

S2 Alias Pind.3
Config S2 = Input
Portd.3 = 1

M1 Alias Portd.0
Config M1 = Output

M2 Alias Portd.1
Config M2 = Output

$external Init_sensor
Declare Sub Init_sensor()

Call Init_sensor()

$external Read_temp
Declare Function Read_temp() As Word

$external Read_rh
Declare Function Read_rh() As Word

$external Read_press
Declare Function Read_press() As Word