$regfile = "ATtiny2313.dat"
$crystal = 1500000
$hwstack = 16
$swstack = 8
$framesize = 8

Const Contrast = 24

$lib "weather.lib"

Backlight Alias Portb.0

$external Init_lcd
Declare Sub Init_lcd(byval Contrast As Byte)

Call Init_lcd(contrast)

$external Clear_lcd
Declare Sub Clear_lcd()

$external Out_data
Declare Sub Out_data(byref Value As Byte)

$external Out_command
Declare Sub Out_command(byref Value As Byte)

$external Set_pointer
Declare Sub Set_pointer(byref Page As Byte , Byref Column As Byte)

$external Print_word
Declare Sub Print_word(byval Page As Byte , Byval Column As Byte , Byref Value As Word)

$external Print_bmp
Declare Sub Print_bmp(byref Page_start As Byte , Byref Column_start As Byte , Byval Pages As Byte , Byval Columns As Byte )